source("DDR_procedure.R")
library(BalancedSampling)

data.all =read.csv("data example.csv",header=T, stringsAsFactors=F)
data.all=data.all[complete.cases(data.all),]

data.trt = data.all[data.all$arm==1,]
data.ctrl= data.all[data.all$arm==0,]

set.seed(500)
p.bal=rep(0.5, dim(data.trt)[1])
sample.trt.id1 = lpm1(p.bal,scale(data.trt[,c("CENSORL","PFSL")]))
p.bal=rep(0.5, dim(data.ctrl)[1])    
sample.ctrl.id1 = lpm1(p.bal,scale(data.ctrl[,c("CENSORL","PFSL")]))

trt.sample1 = data.trt[sample.trt.id1,]
ctrl.sample1 = data.ctrl[sample.ctrl.id1,]


#### sample-based BICR testing procedure #########
res =ddr_proc(con.time.le = ctrl.sample1$PFSL, con.event.le = ctrl.sample1$CENSORL, 
              con.time.cr = ctrl.sample1$PFSC, con.event.cr = ctrl.sample1$CENSORC, 
              exp.time.le = trt.sample1$PFSL, exp.event.le = trt.sample1$CENSORL, 
              exp.time.cr = trt.sample1$PFSC, exp.event.cr = trt.sample1$CENSORC, 
              time.scan=c(84, 84*2, 84*3,84*4,84*5), 
              int_extr=0, simu_num=50, boot_num=8000, alpha=0.05, power=0.8, HRR_dif=0.2)

print(res[c("reject.hypo","ddr","std_ddr","ddr_range","critic_region","hrr","req_n","slope")])


#### HRR from whole study population #######
cox.le=coxph(Surv(PFSL,CENSORL)~arm,data=data.all)
hr.le=summary(cox.le)$coefficients[2]
cox.cr=coxph(Surv(PFSC,CENSORC)~arm,data=data.all)
hr.cr=summary(cox.cr)$coefficients[2]
hrr=hr.cr/hr.le
hrr


